Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1187981 - SELinux is preventing souphttpsrc0:sr from 'name_connect' accesses on the tcp_socket port 80.
Summary: SELinux is preventing souphttpsrc0:sr from 'name_connect' accesses on the tcp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1b44412b5a3871960e28683668f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-01 06:52 UTC by Joachim Frieben
Modified: 2015-02-15 03:29 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-105.3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-15 03:29:33 UTC
Type: ---


Attachments (Terms of Use)

Description Joachim Frieben 2015-02-01 06:52:03 UTC
Description of problem:
SELinux is preventing souphttpsrc0:sr from 'name_connect' accesses on the tcp_socket port 80.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that souphttpsrc0:sr should be allowed name_connect access on the port 80 tcp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep souphttpsrc0:sr /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:object_r:http_port_t:s0
Target Objects                port 80 [ tcp_socket ]
Source                        souphttpsrc0:sr
Source Path                   souphttpsrc0:sr
Port                          80
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-105.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.18.3-201.fc21.x86_64 #1 SMP Mon
                              Jan 19 15:59:31 UTC 2015 x86_64 x86_64
Alert Count                   3
First Seen                    2015-02-01 07:50:41 CET
Last Seen                     2015-02-01 07:50:41 CET
Local ID                      e31f16a6-2a4f-4102-bd74-69785a2b1915

Raw Audit Messages
type=AVC msg=audit(1422773441.90:902): avc:  denied  { name_connect } for  pid=19925 comm="souphttpsrc0:sr" dest=80 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:http_port_t:s0 tclass=tcp_socket permissive=0


Hash: souphttpsrc0:sr,thumb_t,http_port_t,tcp_socket,name_connect

Version-Release number of selected component:
selinux-policy-3.13.1-105.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.18.3-201.fc21.x86_64
type:           libreport

Potential duplicate: bug 1030520

Comment 1 Daniel Walsh 2015-02-01 11:58:32 UTC
This would seem to be a bad idea.  Basically this would allow an application file to connect to a random apache web sight just because you looked at its icon with a file browser.

Perhaps we should just dontaudit network connections by thumb naildrivers.

Joachim, did you notice anything breaking because of this?

Comment 2 Joachim Frieben 2015-02-01 12:36:40 UTC
(In reply to Daniel Walsh from comment #1)
> did you notice anything breaking because of this?

No, actually I do not even know which event triggered this alert.

Comment 3 Lukas Vrabec 2015-02-02 11:53:44 UTC
commit bbbae4a18252dadea1e1c56c460bcbeff2979a3f
Author: Lukas Vrabec <lvrabec>
Date:   Mon Feb 2 12:52:56 2015 +0100

    Dontaudit network connections related to thumb_t. BZ(1187981)

Comment 4 Fedora Update System 2015-02-05 13:15:31 UTC
selinux-policy-3.13.1-105.3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.3.fc21

Comment 5 Fedora Update System 2015-02-06 04:04:06 UTC
Package selinux-policy-3.13.1-105.3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1768/selinux-policy-3.13.1-105.3.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-02-15 03:29:33 UTC
selinux-policy-3.13.1-105.3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.